Bug 57668 - ghostcript fails to upgrade
ghostcript fails to upgrade
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-18 11:37 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-18 19:59:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-18 11:37:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010914

Description of problem:
When doing a rpm -Fvh on ghostscript-6.51-16.i386.rpm it returns the message:

Error failed dependencies.

    Omni is needed by ghostscript-6.51-16.


Weird that Omni is needed by ghostcript if ghostcript is already installed
on the box (and Omni wasn't there before).  On top of that, Omni isn't part
of the base packages, where is it coming from? 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install base OS,(make sure ghostscript is there).
2.Download the ghostcript update, ghostscript-6.51-16.i386.rpm.
3.Do a "rpm -Fvh on ghostscript-6.51-16.i386.rpm"

	

Actual Results:  Error failed dependencies.

    Omni is needed by ghostscript-6.51-16.


Expected Results:  The file should've been freshened.

Additional info:
Comment 1 Bill Nottingham 2001-12-18 18:00:24 EST
This was intentional; a feature part of the errata. You can get the Omni package
from the same place you got the ghostscript package.
Comment 2 Need Real Name 2001-12-18 19:59:44 EST
Here's the problem, its listed under Security Advisory:

http://www.redhat.com/support/errata/rh72-errata-security.html

This link says that this patch group fixes a security issue:

http://www.redhat.com/support/errata/RHSA-2001-138.html

Omni should be part of the "Enhancements" Errata.  It should not be required 
to install Omni to fix a security hole.  The only thing Omni is providing is 
additional print drivers.  Fixing a hole in ghostscript should be possible by 
just patching ghostscript.  The addition of Omni as a requirement for the new 
version of ghostscript is unecessary.  This shoving "features" with patches is 
what got MS in trouble with their Service Packs.
Comment 3 Tim Waugh 2002-02-11 10:48:21 EST
Well, it's very difficult to rectify now. :-(

Thanks for bringing it to our attention, and I'll make sure to separate out
security updates on any future errata in packages I maintain (this particular
advisory was put together by the previous maintainer of these packages).

Note You need to log in before you can comment on or make changes to this bug.